{% extends 'login/login-template.html.twig' %}

{% block form %}
<h1 id="login-page-title">Veuillez saisir votre identifiant de connexion</h1>

{{ form_start(form, {'attr': {'id': 'login-form'}}) }}

<div class="login-input-row">
    {{ form_label(form.username) }}
    <div class="form-group input-group-front-icon">
        <span><i class="fa fa-user"></i></span>
        <!--suppress HtmlFormInputWithoutLabel -->
        <input class="form-control ng-untouched ng-dirty ng-valid" required="" name="{{ field_name(form.username) }}" id="{{ form.username.vars.id }}">
    </div>
</div>

<!-- permet aux gestionnaires de mot de passe de fonctionner -->
<div style="position: absolute; z-index: -1;">
    <label>
        password
        <input type="password" aria-hidden="true" tabindex="-1">
    </label>
</div>

<div class="float-right">
    <a id="login-unregistred-anchor" class="btn btn-default" href="{{ url('public_register_tenant_user', {tenant_url: app.request.get('tenant_url')}) }}">
        <i class="fa fa-user" aria-hidden="true"></i>
        <span>Demande de création d'utilisateur</span>
    </a>
    <button class="btn btn-primary" type="submit">
        <i class="fa fa-sign-in fa-sign-in-alt fa-fw"></i>
        Se connecter
    </button>
</div>
{{ form_end(form) }}
{% endblock %}

{% block bottomScript %}
<script>
    document.getElementById('loading-screen').className = 'loaded';
    document.getElementById("{{ form.username.vars.id }}").focus();
    $('#login-unregistred-anchor').on('click', function(e) {
        e.preventDefault();
        var username = $('#{{ form.username.vars.id }}').val();
        if (username) {
            var serialized = $('#login-form')
                .clone()
                .attr('action', $(this).attr('href'))
                .attr('method', 'get')
                .empty()
                .append($('<input name="username">').val(username))
                .serialize();
            window.location = $(this).attr('href') + '?' + serialized;
        } else {
            window.location = $(this).attr('href');
        }
    });
</script>
{% endblock %}
